-- UTL_MATCH
-- http://en.wikipedia.org/wiki/Jaro-Winkler

select 
  aktie_kort_navn
  , soundex(aktie_kort_navn) "Soundex of actual name"
  , soundex('Nordcom') "Soundex of string"
from match_names
where aktie_id between 108 and 119
order by 1 desc;














select
	aktie_kort_navn
	, to_char(utl_match.edit_distance(aktie_kort_navn, 'Nordcom'),'999') "Edit Distance"
	, to_char(utl_match.edit_distance_similarity(aktie_kort_navn, 'Nordcom'),'999') "Edit Distance Similarity"
	, to_char(utl_match.jaro_winkler(aktie_kort_navn, 'Nordcom'),'999d9999') "Jaro Winkler"
	, to_char(utl_match.jaro_winkler_similarity(aktie_kort_navn, 'Nordcom'),'999') "Jaro Winkler Similarity"
from match_names
where aktie_id between 108 and 119
order by 4 desc;